#-----------------------------------------------------------------------
proc ShowCheckLevel {parent} {
global CheckLevel Images INFOLANG

        # Create a toplevel window

	set w $parent.showdef
	if [winfo exists $w] {
		wm deiconify $w
		return
	}
	toplevel $w
	wm title $w $INFOLANG(wcheck,wtitle)
	wm iconbitmap $w @$Images(bitmap,winchk)
	wm iconify $w

	# Main Frame Container
	# ====================

	set wf $w.f
	frame $wf

	# Button Frame

	set wbut $wf.button
	frame $wbut -bd 2 -relief sunken

	button $wbut.close -text $INFOLANG(butclose) -cursor {pirate} \
		-command [ list destroy $w ]
	button $wbut.iconify -text $INFOLANG(buticon) -state normal \
		-command [list wm iconify $w]
	pack $wbut.close $wbut.iconify -side left

	# Frame for Check Levels Definition on Programs

	set wcheckprg $wf.checkprg
	frame $wcheckprg -bd 2 -relief ridge

	label $wcheckprg.title -text $INFOLANG(wcheck,titleprog) \
		 -borderwidth 2 -relief ridge
	pack $wcheckprg.title  -side top -pady 1m -padx 2m -expand true -fill both
	
	pack [frame $wcheckprg.0] -side top -expand y -fill both
	label	 	$wcheckprg.0.num   -text "No" -width 2
	label	 	$wcheckprg.0.label -text "Definition"
	set bidon 1
	checkbutton	$wcheckprg.0.check -variable $bidon -relief flat
	pack $wcheckprg.0.num $wcheckprg.0.check $wcheckprg.0.label -side left -anchor w
	for {set i 1} {$i <= $CheckLevel(prg,num)} {incr i} {
		pack [frame $wcheckprg.$i] -side top -expand y -fill both
		label	 	$wcheckprg.$i.num   -text "$i" -width 2
		label	 	$wcheckprg.$i.label -textvariable CheckLevel(prg,$i,def)
		checkbutton	$wcheckprg.$i.check -variable CheckLevel(prg,$i,flag) -relief flat
		pack $wcheckprg.$i.num $wcheckprg.$i.check $wcheckprg.$i.label -side left -anchor w
	}
	set wcheckprgbut $wcheckprg.but
	frame $wcheckprgbut -bd 2 -relief ridge
	button $wcheckprgbut.off -text $INFOLANG(wcheck,butoff) \
		-command [list SetCheckLevelOFF prg]
	button $wcheckprgbut.or -text $INFOLANG(wcheck,butor) \
		-command [list SetCheckLevelOR prg]
	button $wcheckprgbut.on -text $INFOLANG(wcheck,buton) \
		-command [list SetCheckLevelON prg]
	pack $wcheckprgbut.off $wcheckprgbut.or $wcheckprgbut.on -side left
	pack $wcheckprgbut -side bottom -pady 1m

	# Frame for Check Levels Definition on Libraries

	set wchecklib $wf.checklib
	frame $wchecklib -bd 2 -relief ridge

	label $wchecklib.title -text $INFOLANG(wcheck,titlelib) \
		 -borderwidth 2 -relief ridge
	pack $wchecklib.title  -side top -pady 1m -padx 2m -expand true -fill both
	
	pack [frame $wchecklib.0] -side top -expand y -fill both
	label	 	$wchecklib.0.num   -text "No" -width 2
	label	 	$wchecklib.0.label -text "Definition"
	set bidon 1
	checkbutton	$wchecklib.0.check -variable $bidon -relief flat
	pack $wchecklib.0.num $wchecklib.0.check $wchecklib.0.label -side left -anchor w
	for {set i 1} {$i <= $CheckLevel(lib,num)} {incr i} {
		pack [frame $wchecklib.$i] -side top -expand y -fill both
		label	 	$wchecklib.$i.num   -text "$i" -width 2
		label	 	$wchecklib.$i.label -textvariable CheckLevel(lib,$i,def)
		checkbutton	$wchecklib.$i.check -variable CheckLevel(lib,$i,flag) -relief flat
		pack $wchecklib.$i.num $wchecklib.$i.check $wchecklib.$i.label -side left -anchor w
	}
	set wchecklibbut $wchecklib.but
	frame $wchecklibbut -bd 2 -relief ridge
	button $wchecklibbut.off -text $INFOLANG(wcheck,butoff) \
		-command [list SetCheckLevelOFF lib]
	button $wchecklibbut.or -text $INFOLANG(wcheck,butor) \
		-command [list SetCheckLevelOR lib]
	button $wchecklibbut.on -text $INFOLANG(wcheck,buton) \
		-command [list SetCheckLevelON lib]
	pack $wchecklibbut.off $wchecklibbut.or $wchecklibbut.on -side left
	pack $wchecklibbut -side bottom -pady 1m

	# Pack main frames

	pack $wbut -side bottom -pady 2m
	pack $wchecklib -side bottom -pady 2m -fill both
	pack $wcheckprg -side bottom -pady 2m -fill both
	pack $wf -expand true -fill both

}
proc CheckLevelStatus {type} {
	global CheckLevel
	set numflagon 0
	for {set i 1} {$i <= $CheckLevel($type,num)} {incr i} {
		if {$CheckLevel($type,$i,flag)} {incr numflagon}
	}
	if { $numflagon == $CheckLevel($type,num) } {
		set CheckLevel($type,on) 1
	} else {
		set CheckLevel($type,on) 0
	} 
}
proc SetCheckLevelOR {type} {
	global CheckLevel
	set numflagon 0
	for {set i 1} {$i <= $CheckLevel($type,num)} {incr i} {
		if {$CheckLevel($type,$i,flag)} {
			set CheckLevel($type,$i,flag) 0
		} else {
			set CheckLevel($type,$i,flag) 1
			incr numflagon
		}
	}
	CheckLevelStatus $type
}
proc SetCheckLevelON {type} {
	global CheckLevel
	for {set i 1} {$i <= $CheckLevel($type,num)} {incr i} {
		set CheckLevel($type,$i,flag) 1
	}
	CheckLevelStatus $type
}
proc SetCheckLevelOFF {type} {
	global CheckLevel
	for {set i 1} {$i <= $CheckLevel($type,num)} {incr i} {
		set CheckLevel($type,$i,flag) 0
	}
	CheckLevelStatus $type
}
proc SetCheckLevel {type} {
	global CheckLevel INFOLANG

	if { $type == {prg} } {
		set listdef $INFOLANG(wcheck,listprg)
		set CheckLevel($type,num) 0
		foreach item $listdef {
			incr CheckLevel($type,num)
			set CheckLevel($type,$CheckLevel($type,num),def) $item
		}
	}
	if { $type == {lib} } {
		set listdef $INFOLANG(wcheck,listlib)
		set CheckLevel($type,num) 0
		foreach item $listdef {
			incr CheckLevel($type,num)
			set CheckLevel($type,$CheckLevel($type,num),def) $item
		}

	}

}
#-----------------------------------------------------------------------
proc IconsDef {parent} {
global Images INFOLANG

        # Create a toplevel window

	set w $parent.infoicons
	if [winfo exists $w] {
		wm deiconify $w
		return
	}
	toplevel $w
	wm title $w $INFOLANG(wdeficon,wtitle)
	wm iconbitmap $w @$Images(bitmap,winicon)
	wm iconify $w

	# Main Frame Container
	# ====================

	set wf $w.f
	frame $wf

	# Button Frame

	set wbut $wf.button
	frame $wbut -bd 2 -relief sunken

	button $wbut.close -text $INFOLANG(butclose) -cursor {pirate} \
		-command [ list destroy $w ]
	button $wbut.iconify -text $INFOLANG(buticon) -state normal \
		-command [list wm iconify $w]
	pack $wbut.close $wbut.iconify -side left


	# Frame for Icons definitions

	set wimg $wf.img
	frame $wimg -bd 2 -relief ridge

	label $wimg.title -text $INFOLANG(wdeficon,wtitle) \
		 -borderwidth 2 -relief ridge
	pack $wimg.title  -side top -pady 1m -padx 2m -expand true -fill both

	image create photo imgf77 -file $Images(gif,f77_file)
	pack [frame $wimg.imgf77] -side top -expand y -fill both
	label $wimg.imgf77.label -text $INFOLANG(wdeficon,stand)
	button $wimg.imgf77.but -image imgf77
	pack $wimg.imgf77.but $wimg.imgf77.label -side left -anchor w

	image create photo imglf77 -file $Images(gif,f77_linkfile)
	pack [frame $wimg.imglf77] -side top -expand y -fill both
	label $wimg.imglf77.label -text $INFOLANG(wdeficon,link)
	button $wimg.imglf77.but -image imglf77
	pack $wimg.imglf77.but $wimg.imglf77.label -side left -anchor w

	image create photo imgerr -file $Images(gif,broken_file)
	pack [frame $wimg.imgerr] -side top -expand y -fill both
	label $wimg.imgerr.label -text $INFOLANG(wdeficon,bug)
	button $wimg.imgerr.but -image imgerr
	pack $wimg.imgerr.but $wimg.imgerr.label -side left -anchor w

	image create photo imgnew -file $Images(gif,alert_file)
	pack [frame $wimg.imgnew] -side top -expand y -fill both
	label $wimg.imgnew.label -text $INFOLANG(wdeficon,new)
	button $wimg.imgnew.but -image imgnew
	pack $wimg.imgnew.but $wimg.imgnew.label -side left -anchor w

	# Pack main frames

	pack $wbut -side bottom -pady 2m
	pack $wimg -side bottom -pady 2m
	pack $wf -expand true -fill both

}
#-----------------------------------------------------------------------
